# Upload an external agent photo

`POST https://backend.estactics.com/api/externalAgents/updateExternalAgentProfilePhoto`

Uploads or replaces the profile photo. Send the request as `multipart/form-data`, with the file in a field called `profilePhotoFile`.

Authentication: `Authorization: Bearer YOUR_API_KEY`. Required permission: `externalAgents.MANAGE`.

## Body parameters

- `externalAgentId` (integer, required): ID of the external agent.
- `profilePhotoFile` (string, required): The image file.
